<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Tests/Indomethacin/UserFns/callSimulation.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_33c78a012c8d08979f57a54a07694c46.html">Tests</a></li><li class="navelem"><a class="el" href="../../dir_2507f1f1b1c595bc5158356c018ea56a.html">Indomethacin</a></li><li class="navelem"><a class="el" href="../../dir_3f2fe70201583803f5304361749a3c9e.html">UserFns</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">callSimulation.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d93/_tests_2_indomethacin_2_user_fns_2call_simulation_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;%</div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;% @brief <a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a> simulates the model, user defined file</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;%</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="../../dc/d93/_tests_2_indomethacin_2_user_fns_2call_simulation_8m.html#a52899f888c8185c803f32bae1ead8a93">    5</a></span>&#160;<span class="keyword">function</span> [time_points,observed_y,unobserved_states,observed_sens_y,Hessian,FIM,measurement_sd,residuals]=<a class="code" href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a>(t,kinetic_params,ydata,noise_params,int_opts,varType)</div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;% Model simulation, and FIM evaluation</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;model = @(phi,t)(phi(:,1).*exp(-phi(:,2).*t)+phi(:,3).*exp(-phi(:,4).*t));</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;model_sens=  @(phi,t) ([ exp(-phi(:,2).*t), -phi(:,1).*t.*exp(-phi(:,2).*t), exp(-phi(:,4).*t), -phi(:,3).*t.*exp(-phi(:,4).*t)]);</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;observed_y=model(kinetic_params,t);</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;time_points=t;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;unobserved_states=[];</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keywordflow">if</span> ~isempty(noise_params)</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;observed_sens_y=model_sens(kinetic_params,t);</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;measurement_sd=<a class="code" href="../../d8/d7b/var_fun_8m.html#ae8689ef39372b131ddb25d7da78d2b87">varFun</a>(noise_params,observed_y,varType);</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;residuals=ydata.Y-observed_y;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;FIM=observed_sens_y<span class="stringliteral">&#39;*inv(diag(measurement_sd.^2))*observed_sens_y;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="stringliteral">Hessian=FIM; % to do</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="stringliteral"></span> </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="stringliteral">else</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="stringliteral">observed_sens_y=[];</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="stringliteral">measurement_sd=[];</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="stringliteral">residuals=[];</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="stringliteral">FIM=[];</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="stringliteral">Hessian=[];</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="stringliteral">    </span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="stringliteral">end</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_projects_2_llamosi2016_2_user_fns_2call_simulation_8m_html_a675cf3332f7c9140d55c01870b188396"><div class="ttname"><a href="../../d7/df5/_projects_2_llamosi2016_2_user_fns_2call_simulation_8m.html#a675cf3332f7c9140d55c01870b188396">callSimulation</a></div><div class="ttdeci">function callSimulation(in varargin)</div></div>
<div class="ttc" id="avar_fun_8m_html_ae8689ef39372b131ddb25d7da78d2b87"><div class="ttname"><a href="../../d8/d7b/var_fun_8m.html#ae8689ef39372b131ddb25d7da78d2b87">varFun</a></div><div class="ttdeci">function varFun(in noise_params, in f_t, in var_type, in varargin)</div><div class="ttdoc">varFun is a function that returns the variance model</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
